org.appng.api.rest.model

## Enum OptionType

- java.lang.Object
- - java.lang.Enum<OptionType>
  - - org.appng.api.rest.model.OptionType

- All Implemented Interfaces:
    Serializable, Comparable<OptionType>

      public enum OptionType
      extends Enum<OptionType>

  The possible types for an option.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX`
    `DATE`
    `RADIO`
    `SELECT`
    `SELECT_MULTIPLE`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OptionType` | `fromValue(String value)`
    `String` | `getValue()`
    `String` | `toString()`
    `static OptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final OptionType SELECT

    - #### SELECT_MULTIPLE

          public static final OptionType SELECT_MULTIPLE

    - #### RADIO

          public static final OptionType RADIO

    - #### CHECKBOX

          public static final OptionType CHECKBOX

    - #### TEXT

          public static final OptionType TEXT

    - #### DATE

          public static final OptionType DATE

  - ### Method Detail

    - #### values

          public static OptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptionType c : OptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OptionType>`

    - #### fromValue

          public static OptionType fromValue(String value)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.